 
create table ParamImpREmpW
(  CodigoEmp        char(2)         not null,
   TipoEmpresa      char(1)         not null,
   CodigoEmpresa    char(5)         not null, 
   Categoria        char(2)         not null, 
   Origem           char(3)         not null, 
   PERCIRRF         dec(5,2)        not null,
   PERCINSS         dec(5,2)        not null, 
   PERCCSLL         dec(5,2)        not null, 
   PERCCOFINS       dec(5,2)        not null, 
   PERCPIS          dec(5,2)        not null, 
   PERCISS          dec(5,2)        not null,
   PERCISSG         dec(5,2)        not null,
   PERCRURAL        dec(5,2)        not null, 
   PERCRAT          dec(5,2)        not null,
   PERCSENAR        dec(5,2)        not null,
   PERCBIRRF        dec(5,2)        not null,
   PERCBINSS        dec(5,2)        not null, 
   PERCBCSLL        dec(5,2)        not null, 
   PERCBCOFINS      dec(5,2)        not null, 
   PERCBPIS         dec(5,2)        not null, 
   PERCBISS         dec(5,2)        not null,
   PERCBISSG        dec(5,2)        not null,
   PERCBRURAL       dec(5,2)        not null, 
   PERCBRAT         dec(5,2)        not null,
   PERCBSENAR       dec(5,2)        not null,
   SisTribUnico     char(1)         not null,
   DataAtu          datetime        not null,
   CodigoMatricula  char(15)        not null
) ;

Insert into ParamImpREmpW select CodigoEmp, TipoEmpresa, CodigoEmpresa, Categoria, Origem, PERCIRRF, PERCINSS, 
                                 PERCCSLL, PERCCOFINS, PERCPIS, PERCISS, PERCISSG, 0, 0, 0, PERCBIRRF, PERCBINSS, 
                                 PERCBCSLL, PERCBCOFINS, PERCBPIS, PERCBISS, PERCBISSG, 100, 100, 100, SisTribUnico, DataAtu,
                                 CodigoMatricula from ParamImpREmp;

alter table ParamImpREmp drop constraint FK_ParamImpREmp_Categ;
alter table ParamImpREmp drop constraint FK_ParamImpREmp_Empresa;
alter table ParamImpREmp drop constraint pk_ParamImpREmp;

drop table ParamImpREmp;

create table ParamImpREmp
(  CodigoEmp        char(2)         not null,
   TipoEmpresa      char(1)         not null,
   CodigoEmpresa    char(5)         not null, 
   Categoria        char(2)         not null, 
   Origem           char(3)         not null, 
   PERCIRRF         dec(5,2)        not null,
   PERCINSS         dec(5,2)        not null, 
   PERCCSLL         dec(5,2)        not null, 
   PERCCOFINS       dec(5,2)        not null, 
   PERCPIS          dec(5,2)        not null, 
   PERCISS          dec(5,2)        not null,
   PERCISSG         dec(5,2)        not null,
   PERCRURAL        dec(5,2)        not null, 
   PERCRAT          dec(5,2)        not null,
   PERCSENAR        dec(5,2)        not null,
   PERCBIRRF        dec(5,2)        not null,
   PERCBINSS        dec(5,2)        not null, 
   PERCBCSLL        dec(5,2)        not null, 
   PERCBCOFINS      dec(5,2)        not null, 
   PERCBPIS         dec(5,2)        not null, 
   PERCBISS         dec(5,2)        not null,
   PERCBISSG        dec(5,2)        not null,
   PERCBRURAL       dec(5,2)        not null, 
   PERCBRAT         dec(5,2)        not null,
   PERCBSENAR       dec(5,2)        not null,
   SisTribUnico     char(1)         not null,
   DataAtu          datetime        not null,
   CodigoMatricula  char(15)        not null
) ;

Insert into ParamImpREmp select * from ParamImpREmpW; 
 
alter table ParamImpREmp
    add constraint pk_ParamImpREmp primary key (CodigoEmp, TipoEmpresa, CodigoEmpresa, Categoria, Origem);

alter table ParamImpREmp
    add constraint FK_ParamImpREmp_Empresa foreign key  (CodigoEmp) 
        references Empresa (Codigo);

alter table ParamImpREmp
    add constraint FK_ParamImpREmp_Categ foreign key  (Categoria) 
        references Categoria (Codigo);

GRANT ALL ON ParamImpREmp TO BYTEC;

Drop table ParamImpREmpW;
